Bug 1199566 - [abrt] general protection fault in radeon_audio_detect [radeon]
Summary: [abrt] general protection fault in radeon_audio_detect [radeon]
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ce94947835e3318fe8ac05a2dee...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-06 16:08 UTC by Sylvain Réault
Modified: 2016-07-19 12:56 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 12:56:27 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (73.33 KB, text/plain)
2015-03-06 16:08 UTC, Sylvain Réault
no flags Details

Description Sylvain Réault 2015-03-06 16:08:29 UTC
Additional info:
reporter:       libreport-2.4.0
general protection fault: 0000 [#1] SMP 
Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw nct6775 hwmon_vid snd_usb_audio snd_usbmidi_lib snd_rawmidi intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel snd_hda_codec_realtek snd_hda_codec_generic kvm joydev snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support crct10dif_pclmul snd_hda_intel snd_hda_controller mxm_wmi crc32_pclmul snd_hda_codec crc32c_intel gspca_zc3xx snd_hwdep gspca_main snd_seq videodev ghash_clmulni_intel lpc_ich snd_seq_device
 serio_raw hid_logitech_hidpp i2c_i801 snd_pcm media mfd_core snd_timer tpm_infineon snd mei_me tpm_tis tpm video shpchp wmi soundcore mei nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_logitech_dj radeon i2c_algo_bit drm_kms_helper ttm drm alx ata_generic pata_acpi mdio
CPU: 1 PID: 2024 Comm: Xorg Not tainted 4.0.0-0.rc2.git0.1.fc22.x86_64 #1
Hardware name: MSI MS-7845/Z87-GD65 GAMING (MS-7845), BIOS V1.11 07/18/2014
task: ffff8800c486eca0 ti: ffff8803e6b9c000 task.ti: ffff8803e6b9c000
RIP: 0010:[<ffffffffa01c4564>]  [<ffffffffa01c4564>] radeon_audio_detect+0x64/0x360 [radeon]
RSP: 0018:ffff8803e6b9fbb8  EFLAGS: 00010282
RAX: ffffffffa01c0820 RBX: ffff880408802a00 RCX: ffff880408802a00
RDX: 00737265646c6f68 RSI: 0000000000000002 RDI: ffff880407650000
RBP: ffff8803e6b9fbe8 R08: ffff880408802a00 R09: 0000000000800002
R10: 0000000000000001 R11: 0000000000000000 R12: ffff880406a6b000
R13: ffff880407650000 R14: ffff880406cb55b8 R15: 0000000000000000
FS:  00007f846698d9c0(0000) GS:ffff88041ec40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000019b61b0 CR3: 00000003b8b81000 CR4: 00000000001407e0
Stack:
 0000000000000000 0000000057d259a8 ffff880406a6b000 0000000000000002
 ffff880406a6b2b0 ffff880407650000 ffff8803e6b9fc38 ffffffffa0102d4b
 ffff8803e6b9fc38 ffff880408802a00 ffff8803e6b9fd98 ffff880406a6b050
Call Trace:
 [<ffffffffa0102d4b>] radeon_dvi_detect+0x1bb/0x4d0 [radeon]
 [<ffffffffa00b3cc8>] drm_helper_probe_single_connector_modes_merge_bits+0x248/0x4f0 [drm_kms_helper]
 [<ffffffffa00b3f83>] drm_helper_probe_single_connector_modes+0x13/0x20 [drm_kms_helper]
 [<ffffffffa003a8c0>] drm_mode_getconnector+0x340/0x3c0 [drm]
 [<ffffffffa002ba5b>] drm_ioctl+0x1db/0x640 [drm]
 [<ffffffff810a7e4f>] ? recalc_sigpending+0x1f/0x60
 [<ffffffffa00d904c>] radeon_drm_ioctl+0x4c/0x80 [radeon]
 [<ffffffff812350f6>] do_vfs_ioctl+0x2c6/0x4d0
 [<ffffffff81235381>] SyS_ioctl+0x81/0xa0
 [<ffffffff817867a9>] system_call_fastpath+0x12/0x17
Code: 03 83 fe 01 4c 8b b3 58 01 00 00 4c 8b 68 28 74 46 49 8b 85 d8 25 00 00 48 8b 40 10 48 85 c0 74 12 49 8b 96 00 01 00 00 4c 89 ef <48> 8b 72 10 31 d2 ff d0 48 8b 45 d8 65 48 33 04 25 28 00 00 00 
RIP  [<ffffffffa01c4564>] radeon_audio_detect+0x64/0x360 [radeon]
 RSP <ffff8803e6b9fbb8>

Comment 1 Sylvain Réault 2015-03-06 16:08:34 UTC
Created attachment 998923 [details]
File: dmesg

Comment 2 Fedora End Of Life 2016-07-19 12:56:27 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.